ur_rna.Utilities.swing

## Interface IMenuItem

- All Known Implementing Classes:
    AnnotationMenu, ConstraintsMenu, DotsMenu, DrawingEditMenu, DrawingFileMenu, DrawingFormatMenu, DrawingViewMenu, FileMenu, FileMenu, HelpMenu, ImageDialog.PrintMenu, MainMenu, MainMenu, MenuList, MergeMenu, NucleicAcidMenu, OligoWalkWindow.OligoWalkResultsMenu, PlotMenu, PredictMenu, SequenceDisplayWindow.EditMenu, SequenceDisplayWindow.SpeakMenu, SettingsMenu, StructureMenu, WindowsMenu

      public interface IMenuItem

  Utility class for dealing with JMenuItem

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default javax.swing.JMenuItem` | `findByAction(javax.swing.Action find)`
    `default javax.swing.JMenuItem` | `findByName(java.lang.String name)`
    `default javax.swing.JMenuItem` | `findByTreePath(java.lang.String name)`
    `static IMenuItem` | `from(java.awt.Component mi)`
    `java.awt.Component` | `getComponent()`
    `default javax.swing.JComponent` | `getContainer()` Gets the container that holds JMenuItem and JMenu children.
    `default java.lang.String` | `getItemName()`
    `default javax.swing.JMenuItem` | `getMenuItem()`
    `default java.util.List<? extends javax.swing.JMenuItem>` | `getMenuItems()`
    `default java.util.List<? extends javax.swing.JMenu>` | `getMenus()`
    `default boolean` | `hasSubItems()`

- - ### Method Detail

    - #### findByAction

          default javax.swing.JMenuItem findByAction(javax.swing.Action find)

    - #### findByName

          default javax.swing.JMenuItem findByName(java.lang.String name)

    - #### findByTreePath

          default javax.swing.JMenuItem findByTreePath(java.lang.String name)

    - #### from

          static IMenuItem from(java.awt.Component mi)

    - #### getComponent

          java.awt.Component getComponent()

    - #### getContainer

          default javax.swing.JComponent getContainer()

      Gets the container that holds JMenuItem and JMenu children. (if different than getComponent). For example, a JMenu is a component, but its children are contained by a JPopupMenu, not by its own container.

    - #### getItemName

          @NotNull
          default java.lang.String getItemName()

    - #### getMenuItem

          default javax.swing.JMenuItem getMenuItem()

    - #### getMenuItems

          default java.util.List<? extends javax.swing.JMenuItem> getMenuItems()

    - #### getMenus

          default java.util.List<? extends javax.swing.JMenu> getMenus()

    - #### hasSubItems

          default boolean hasSubItems()